%global commit e82d1a653ca94aa4ed12441424da6ce780b1e530
%global gitdate 20200617
%global gitversion %(c=%{commit}; echo ${c:0:7})

Summary: A mouse server for the Linux console
Name: gpm
Version: 1.20.7
Release: 6.%{gitdate}git%{gitversion}%{?dist}
License: GPLv2 and OFSFDL
URL: http://www.nico.schottelius.org/software/gpm/
Source0: https://www.nico.schottelius.org/software/gpm/archives/%{name}.tar.xz
Source1: gpm.service
Patch3000: gpm-1.20.1-weak-wgetch.patch

BuildRequires: make, libtool, automake, autoconf
BuildRequires: sed gawk texinfo bison ncurses-devel libcap-ng-devel
BuildRequires: systemd-rpm-macros
Requires: %{name}-libs = %{version}-%{release}
Requires(post): info
Requires(preun): info

%description
The gpm (general purpose mouse) daemon tries to be a useful mouse
server for applications running on the Linux console.  Its roots are
in the "selection" package, by Andrew Haylett, and the original code
comes from selection itself. This package is intended as a replacement
for "selection", to provide additional facilities.  From 0.18 onward
gpm supports xterm as well, so you can run mouse-sensitive
applications under X, and you can easily write curses applications
which support the mouse on both the Linux console and xterm. The xterm
code is portable to any U*x flavour (look at sample/README).

%package libs
Summary: Dynamic library for gpm
provides: %{name}-static = %{version}-%{release}

%description libs
This package provides the static/dynamic library for apps using gpm.

%package devel
Summary: Development files for the gpm library
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package provides header files and libraries necessary
for developing programs which use the gpm library.

%prep
%autosetup -p1 -n %{name}

%build
./autogen.sh
%configure
%make_build

%install
%make_install

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -d %{buildroot}%{_unitdir}

chmod 0755 %{buildroot}/%{_libdir}/libgpm.so.2.1.0
ln -sf libgpm.so.2.1.0 %{buildroot}/%{_libdir}/libgpm.so

install -m644 conf/gpm-* %{buildroot}%{_sysconfdir}
install -m644 %{SOURCE1} %{buildroot}%{_unitdir}

rm -rf %{buildroot}%{_initrddir}
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/t-mouse.el

%post
%systemd_post gpm.service

%preun
%systemd_preun gpm.service

%postun
%systemd_postun_with_restart gpm.service

%files
%license COPYING
%doc README TODO doc/*
%{_bindir}/*
%{_sbindir}/*
%{_unitdir}/gpm.service
%config(noreplace) %{_sysconfdir}/gpm-*
%{_infodir}/*
%{_mandir}/man?/*

%files libs
%{_libdir}/libgpm.so.*
%{_libdir}/libgpm.a

%files devel
%{_includedir}/*
%{_libdir}/libgpm.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.7-6.20200617gite82d1a6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.7-5.20200617gite82d1a6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.7-4.20200617gite82d1a6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.7-3.20200617gite82d1a6
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.7-2.20200617gite82d1a6
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 1 2022 cunshunxia <cunshunxia@tencent.com> - 1.20.7-1
- initial build
